Verify an External Account
curl --request POST \
--url https://api.bridge.xyz/v0/customers/{customerID}/external_accounts/{externalAccountID}/verify \
--header 'Api-Key: <api-key>'import requests
url = "https://api.bridge.xyz/v0/customers/{customerID}/external_accounts/{externalAccountID}/verify"
headers = {"Api-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'Api-Key': '<api-key>'}};
fetch('https://api.bridge.xyz/v0/customers/{customerID}/external_accounts/{externalAccountID}/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account_type": "iban",
"account_verification": {
"iban": {
"match_level": "pending",
"reason_code": null,
"validated_account_owner_name": null
},
"requested_at": "2026-01-15T12:00:00.000Z",
"completed_at": null
}
}External Accounts
Verify an External Account
Trigger a verification check for an external account. Verifies that the account_owner_name matches the actual account holder at the receiving bank.
Supported for iban (EUR), gb (GBP), pix (BRL), clabe (MXN), bre_b (COP), and co_bank_transfer (COP, PSE) account types only. Does not require an Idempotency-Key header.
After triggering, poll the external account’s account_verification field until completed_at is populated.
POST
/
customers
/
{customerID}
/
external_accounts
/
{externalAccountID}
/
verify
Verify an External Account
Authorizations
Path Parameters
A UUID that uniquely identifies a resource
Required string length:
1 - 42Pattern:
[a-z0-9]*A UUID that uniquely identifies a resource
Required string length:
1 - 42Pattern:
[a-z0-9]*Response
Verification initiated successfully
Was this page helpful?